Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.register
Class RegisterAppDataBase

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.AppData
                  |
                  +--com.jxml.qare.qhome.register.RegisterAppDataBase

All Implemented Interfaces:
  Item

Direct Known Subclasses:
  RegisterApp, RegisterAppDataRoot, RegisteredUser

public abstract class RegisterAppDataBase
extends AppData

Fields inherited from class com.jxml.qare.qhome.AppData
`appDataRow`

Constructor Summary
`RegisterAppDataBase()`

Method Summary
`QSchemaFactory` | `getAppDataFactory()` Returns the QSchemaFactory for processing the application's data.

Methods inherited from class com.jxml.qare.qhome.AppData
`dbAdd, dbAdd, dbAddRoot, dbDelete, dbGet, dbGetRoot, dbUpdate, emptyTable, emptyWithKey, eval, getAction, getApplication, getContents, getContentsWithKey, getFactory, getId, getKey, getKeys, getPlugin, getTable, getTables, getWithKey, inDB, inTable, peerDeleted, process, removedFromTable, tableAdd, tableAdd, tableDelete, tableDelete`

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisterAppDataBase

    public RegisterAppDataBase()

Method Detail

### getAppDataFactory

    public QSchemaFactory getAppDataFactory()

  Description copied from class: `AppData`
  Returns the QSchemaFactory for processing the application's data. This method is implemented by the application's own base AppData class.
  Overrides:
    `getAppDataFactory` in class `AppData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD